明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2108|回复: 4

请教CAD屏幕选取一个块后,怎样获得它的属性,并存放在一个数组里.

[复制链接]
发表于 2003-7-10 21:15:00 | 显示全部楼层 |阅读模式
发表于 2003-7-11 12:31:00 | 显示全部楼层
你的数组指的是什么?
发表于 2003-7-11 13:10:00 | 显示全部楼层
什么意思?
 楼主| 发表于 2003-7-11 20:23:00 | 显示全部楼层
Dim acadapp As AcadApplication                     '在屏幕上取块
    Set acadapp = GetObject(, "autocad.application")
    Dim acaddoc As AcadDocument
    Set acaddoc = acadapp.ActiveDocument
    Dim entityset As AcadSelectionSet
    'frm.hide
100    Set entityset = acaddoc.ActiveSelectionSet
    entityset.Clear
    entityset.SelectOnScreen
    If entityset.Count = 0 Or entityset.Count > 1 Then
    MsgBox "没有选择一个块或选择过多"
    GoTo 100
    End If                                          '下面是取所选择的块
    Dim obj As AcadEntity
    Dim varattributes As Variant
    Set obj = entityset.SelectOnScreen
    If obj.ObjectName = "VM" Then                  'VM是块的名称
    If .HasAttributes Then
    vaattributes = .GetAttributes
    End If
    End If
发表于 2003-7-13 19:20:00 | 显示全部楼层
必须先定义一个二维数组
如:
Dim AttArray(1, UBound(vaattributes)) As Variant

然后在下面的循环中把属性填充到数组中:

       For J = 0 To UBound(vaattributes)
            AttArray(0,J)=vaattributes(J).TagString
            AttArray(1,J) = attvars(J).TextString
        Next
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 14:44 , Processed in 0.177300 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表